package com.hgwebservice.service.syncCdm2;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.hgwebservice.config.PeriodMarkEnum;
import com.hgwebservice.dal.dataobject.data.MeasureResultData;
import com.hgwebservice.dal.mysql.data.ExMeasureResultMapper;
import com.hgwebservice.dal.mysql.data.UserBloodSugarMapper;
import com.hgwebservice.entity.hisview.HisMeasureData;
import com.hgwebservice.entity.hisview.SyncToHisDO;
import com.hgwebservice.entity.server.MeasureData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Optional;

@Service
@Slf4j
public class MeasureServiceImpl implements MeasureService {
    @Resource
    ExMeasureResultMapper exMeasureResultMapper;
    @Resource
    UserBloodSugarMapper userBloodSugarMapper;

    @Override
    public int dmsMeasure(String startTime,String endTime) {
        DateTime start = DateUtil.parseDateTime(startTime);
        DateTime end = DateUtil.parseDateTime(endTime);
        List<MeasureResultData> select = exMeasureResultMapper.select(start, end);

        userBloodSugarMapper.insert()
    }
}
