package com.hgwebservice.dal.mysql.data;

import cn.hutool.core.date.DateTime;
import com.baomidou.dynamic.datasource.annotation.Slave;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hgwebservice.dal.dataobject.data.MeasureResultData;
import com.hgwebservice.dal.dataobject.data.UserBloodSugarDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户血糖数据 Mapper
 *
 * @author 管理员
 */
@Mapper
@Slave
public interface ExMeasureResultMapper extends BaseMapper<UserBloodSugarDO> {
    List<MeasureResultData> select(@Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime);
}
